Deployments.ai Docs
Evaluations

List cases in a regression dataset

GET /v1/regression-datasets/{datasetId}/cases · SDK listDatasetCases · CLI deployments eval case list

GET
/v1/regression-datasets/{datasetId}/cases

Requires observability:read.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Path Parameters

datasetId*string

Regression dataset ID.

Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Query Parameters

cursor?string
Length1 <= length <= 8192
limit?integer
Range1 <= value <= 100

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
x-deployments-project*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

ListDatasetCasesResponse

application/json
  1. response
items*array<>
nextCursor?string|null
curl -X GET "https://example.com/v1/regression-datasets/string/cases" \  -H "x-deployments-organization: string" \  -H "x-deployments-project: string" \  -H "x-deployments-environment: string"
{  "items": [    {      "consentBasis": "string",      "contentSha256": "string",      "createdAt": "2019-08-24T14:15:22Z",      "datasetId": "string",      "expectationKinds": [        "string"      ],      "externalId": "string",      "id": "string",      "inputPreview": "string",      "provenance": "annotation",      "sourceRunId": "string",      "sourceThreadId": "string",      "sourceTraceId": "string",      "tags": [        "string"      ]    }  ],  "nextCursor": "string"}